Draft Offset/tr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(37 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/tr|Name=Draft Offset|Name/tr=Ofsetle|Workbenches=[[Draft Module/tr|Taslak]], [[Arch Module/tr|Yapı]]|MenuLocation=Taslak → Ofsetle|Shortcut=O S|SeeAlso=[[Part_Offset2D/tr|Parça 2D ofset]]}}


{{Docnav
==Description==
|[[Draft_Mirror|Mirror]]
|[[Draft_Trimex|Trimex]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Mirror.svg
|IconR=Draft_Trimex.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/tr
|Name=Draft Offset
|Name/tr=Ofsetle
|MenuLocation=Taslak → Ofsetle
|Workbenches=[[Draft_Workbench/tr|Taslak]], [[Arch_Workbench/tr|Yapı]]
|Shortcut={{KEY|O}} {{KEY|S}}
|SeeAlso=[[Part_Offset2D/tr|Parça 2D ofset]]
}}
</div>

<span id="Description"></span>
== Tanım ==


<div class="mw-translate-fuzzy">
The Offset tool offsets the selected object by a given distance on the current [[Draft SelectPlane|work plane]]. If no object is selected, you will be invited to select one.
Ofset aracı seçilen nesneyi kendisine dik verilen belirli bir mesafeye (ofset) hareket ettirir.
</div>


[[Image:Draft_Offset_example.jpg|400px]]
[[Image:Draft_Offset_example.jpg|400px]]
<div class="mw-translate-fuzzy">
{{Caption | Bir teli kenarlarından birinden belirli bir mesafeye kaydırmak}}
</div>


<span id="Usage"></span>
==How to use==
<div class="mw-translate-fuzzy">
== Nasıl Kullanılır ==
</div>


See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
# Select objects you wish to offset
# Press the {{KEY|[[Image:Draft Offset.png|16px]] [[Draft Offset]]}} button, or press {{KEY|O}} then {{KEY|S}} keys
# Click a point on the 3D view, or type a distance.


<div class="mw-translate-fuzzy">
==Options==
# Offset yapmak istediğiniz nesneyi seçin.
# {{Button | [[Image: Draft Offset.png | 16px]] [[Draft Offset/tr|Ofset]]}} düğmesine basın veya {{KEY | O}} ardından {{KEY | S}} tuşlarına basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
# 3D görünümde bir noktaya tıklayın veya bir mesafe yazın.
</div>


<span id="Options"></span>
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
== Seçenekler ==
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of moving them. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.

* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
* Pressing {{KEY|SHIFT}} will [[Draft_Constrain|constrain]] you to the current segment, instead of picking the closest one.

* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
<div class="mw-translate-fuzzy">
* '''Kopyalama'''moduna geçmek için {{KEY | P}} tuşuna basın veya onay kutusunu tıklayın. Kopyalama modu açıksa, Ofset aracı orijinal şekli yerinde tutar, ancak seçilen noktada ölçeklendirilmiş bir kopya oluşturur.
* Aynı zamanda geçiş modunu değiştirecek noktayı seçerken {{KEY | Alt}} tuşunu basılı tutun. {{KEY | Alt}} tuşuna basılı tutmak, ofset kopya yerleştirmeye devam etmenizi sağlar; İşlemi tamamlamak ve tüm ofset şekillerini görmek için {{KEY | Alt}} tuşunu serbest bırakın.
* '''OCC''' moduna geçmek için "OCC stili" onay kutusunu tıklayın. Bu, segmentlerin uçlarında yuvarlatılmış kenarlarla özel olarak kapalı bir şekil üretecek olan bir çizgi parçasının her iki tarafından bir denge oluşturacaktır.
: {{Emphasis | Note:}} Bu stilde orijinal bölümler kaldırılacak, bu nedenle orijinal kenarları korumak için kopyalama modunu kullanın.
* [[Draft_Snap/tr | snapping]] noktanızı mesafeden bağımsız olarak en yakın çeki konumuna zorlamak için ofset yaparken {{KEY | Ctrl}} tuşunu basılı tutun.
* Geçerli segment için belirtilen uzaklık mesafesini korumak için {{KEY | Shift}} tuşunu basılı tutun ve başka bir referans seçmekten kaçının.
* Geçerli komutu iptal etmek için {{KEY | Esc}} veya {{button | Close}} tuşuna basınız; önceden yerleştirilmiş ofset kopyalar kalacaktır.
</div>

==Notes==

* To create an offset version of a [[Draft_BSpline|Draft BSpline]] its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a [[Draft_BSpline|Draft BSpline]] the [[Part_Offset2D|Part Offset2D]] command should be used.
* The Draft Offset command cannot handle [[Draft_BezCurve|Draft BezCurves]]. Use the [[Part_Offset2D|Part Offset2D]] command instead.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The Offset tool can by used in [[macros]] and from the python console by using the following function:
== Betik ==
{{Emphasis|Ayrıca bkz.:}} [[Draft API/tr|Taslak API]] ve [[FreeCAD Scripting Basics/tr|FreeCAD Betik esasları]].
</div>

<div class="mw-translate-fuzzy">
Ofset aracı, aşağıdaki işlevi kullanarak [[macros/tr|makrolar]] ve python konsolundan kullanılabilir:
</div>


{{Code|code=
{{Code|code=
offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
offset (object,Vector,[copymode],[bind],[sym])
}}
}}


<div class="mw-translate-fuzzy">
* Offsets the given wire by applying the given Vector to its first vertex.
* Vektör olarak tanımlanan verilen {{incode | delta}} verilen {{incode | delta}} telini ilk köşesine uygulayarak ofsetler.
* If copymode is True, another object is created, otherwise the same object gets offsetted.
* {{incode | copy}} {{incode | True}} ise, orijinal nesneyi dengelemek yerine başka bir nesne oluşturulur.
* If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
* Eğer {{incode | bind}} {{incode | True}} ise ve tel nesnesinin açık olması şartıyla, orijinal ve ofset tel uç noktalarına bağlanarak bir yüz oluşturacaklardır.
* If sym is True, the offset is made on both sides, the total width being the length of the given vector.
** Eğer {{incode | sym}} {{incode | True}} ise, {{incode | bind}} de {{incode | True}} olmalı ve ofset telin her iki tarafında da yapılmalı, toplam genişlik verilen vektörün uzunluğudur.
* Returns the offsetted object (or its copy if copymode as True).
* {{incode | occ}} {{incode | True}} ise, OCC stili ofsetini kullanacaktır: her iki taraftan ofset yapacak, sonra yeni telleri birbirine bağlayacak ve köşeleri yuvarlayacaktır.
* {{incode | Offsetobj}} orijinal ofset nesnesiyle veya yeni kopyayla döndürülür.
</div>


Örnek:
Example:


{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD as App
import Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()
}}
}}


<div class="mw-translate-fuzzy">
{{Draft Tools navi/tr}}
{{Userdocnavi/tr}}
</div>

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 05:07, 9 January 2024

Ofsetle

Menü konumu
Taslak → Ofsetle
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
O S
Versiyonda tanıtıldı
-
Ayrıca bkz
Parça 2D ofset

Tanım

Ofset aracı seçilen nesneyi kendisine dik verilen belirli bir mesafeye (ofset) hareket ettirir.

Bir teli kenarlarından birinden belirli bir mesafeye kaydırmak

Nasıl Kullanılır

See also: Draft Snap and Draft Constrain.

  1. Offset yapmak istediğiniz nesneyi seçin.
  2. Ofset düğmesine basın veya O ardından S tuşlarına basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. 3D görünümde bir noktaya tıklayın veya bir mesafe yazın.

Seçenekler

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • Kopyalamamoduna geçmek için P tuşuna basın veya onay kutusunu tıklayın. Kopyalama modu açıksa, Ofset aracı orijinal şekli yerinde tutar, ancak seçilen noktada ölçeklendirilmiş bir kopya oluşturur.
  • Aynı zamanda geçiş modunu değiştirecek noktayı seçerken Alt tuşunu basılı tutun. Alt tuşuna basılı tutmak, ofset kopya yerleştirmeye devam etmenizi sağlar; İşlemi tamamlamak ve tüm ofset şekillerini görmek için Alt tuşunu serbest bırakın.
  • OCC moduna geçmek için "OCC stili" onay kutusunu tıklayın. Bu, segmentlerin uçlarında yuvarlatılmış kenarlarla özel olarak kapalı bir şekil üretecek olan bir çizgi parçasının her iki tarafından bir denge oluşturacaktır.
Note: Bu stilde orijinal bölümler kaldırılacak, bu nedenle orijinal kenarları korumak için kopyalama modunu kullanın.
  • snapping noktanızı mesafeden bağımsız olarak en yakın çeki konumuna zorlamak için ofset yaparken Ctrl tuşunu basılı tutun.
  • Geçerli segment için belirtilen uzaklık mesafesini korumak için Shift tuşunu basılı tutun ve başka bir referans seçmekten kaçının.
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; önceden yerleştirilmiş ofset kopyalar kalacaktır.

Notes

  • To create an offset version of a Draft BSpline its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a Draft BSpline the Part Offset2D command should be used.
  • The Draft Offset command cannot handle Draft BezCurves. Use the Part Offset2D command instead.

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Ofset aracı, aşağıdaki işlevi kullanarak makrolar ve python konsolundan kullanılabilir:

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Vektör olarak tanımlanan verilen delta verilen delta telini ilk köşesine uygulayarak ofsetler.
  • copy True ise, orijinal nesneyi dengelemek yerine başka bir nesne oluşturulur.
  • Eğer bind True ise ve tel nesnesinin açık olması şartıyla, orijinal ve ofset tel uç noktalarına bağlanarak bir yüz oluşturacaklardır.
    • Eğer sym True ise, bind de True olmalı ve ofset telin her iki tarafında da yapılmalı, toplam genişlik verilen vektörün uzunluğudur.
  • occ True ise, OCC stili ofsetini kullanacaktır: her iki taraftan ofset yapacak, sonra yeni telleri birbirine bağlayacak ve köşeleri yuvarlayacaktır.
  • Offsetobj orijinal ofset nesnesiyle veya yeni kopyayla döndürülür.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()